
export enum ERRORENUM {
    不存在表 = 1,
    身份验证失败,
    缺少必要参数_表名,
    数据表不存在,
    参数错误,
    添加时数据对象为空,
    修改时数据对象为空,
    该方法仅可进行数据操作,
    数据操作失败,
    该方法仅可进行查询操作,
    分页请设置当前页数,
    数据查询失败,
    该方法仅可进行联合查询操作,
    数据联合查询失败,
    文件不存在,
    请完善信息,
    地址数据不完整
}


/**
 * 只用做code码定义
 */
export enum ERRORCODEENUM {
    身份验证失败 = 5001,
    缺少必要参数_表名 = 5002,
    数据表不存在,
}


let bizErrorMsgMap = {};
for (let key in ERRORENUM) {
    bizErrorMsgMap[ERRORENUM[key]] = key;
}


export function getBizMsg(param) {
    return bizErrorMsgMap[param];
}